petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscGlobalMinMaxReal

Get the global min/max from local min/max input

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscGlobalMinMaxReal(MPI_Comm comm, PetscReal minMaxVal[2], PetscReal minMaxValGlobal[2])

Collective on comm

### Input Parameter

minMaxVal -An array with the local min and max

### Output Parameter

minMaxValGlobal -An array with the global min and max

### Keywords

minimum, maximum

### See Also

PetscSplitOwnership()

### Level

beginner

### Location

src/sys/utils/mpiu.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages